using Microsoft.AspNetCore.Mvc;
using Nop.Plugin.Misc.FruitBankPlugin.Areas.Admin.Models;

namespace Nop.Plugin.Misc.FruitBankPlugin.Areas.Admin.Components
{
    [ViewComponent(Name = "PartnersGridComponent")]
    public class PartnersGridComponent : ViewComponent
    {
        public async Task<IViewComponentResult> InvokeAsync(TestGridModel model)
        {
            // Here you can fetch data for this grid if needed
            // For demo, just pass the model
            return View(model.ViewComponentName +".cshtml", model);
        }
    }
}
